| OpenCV 4.3.0 Open Source Computer Vision

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::CvHaarEvaluator Class Reference
Tracking API

`#include <opencv2/tracking/feature.hpp>`

Inheritance diagram for cv::CvHaarEvaluator:

## Classes
class | FeatureHaar

## Public Member Functions
virtual void | generateFeatures () CV_OVERRIDE
virtual void | generateFeatures (int numFeatures)
| Overload the original generateFeatures in order to limit the number of the features. More...
const std::vector< CvHaarEvaluator::FeatureHaar > & | getFeatures () const
CvHaarEvaluator::FeatureHaar & | getFeatures (int idx)
virtual void | init (const CvFeatureParams *_featureParams, int _maxSampleCount, Size _winSize) CV_OVERRIDE
virtual float | operator() (int featureIdx, int sampleIdx) CV_OVERRIDE
virtual void | setImage (const Mat &img, uchar clsLabel=0, int idx=1) CV_OVERRIDE
void | setWinSize (Size patchSize)
Size | setWinSize () const
void | writeFeature (FileStorage &fs) const
virtual void | writeFeatures (FileStorage &fs, const Mat &featureMap) const CV_OVERRIDE
Public Member Functions inherited from cv::CvFeatureEvaluator
virtual | ~CvFeatureEvaluator ()
const Mat & | getCls () const
float | getCls (int si) const
int | getFeatureSize () const
int | getMaxCatCount () const
int | getNumFeatures () const

## Protected Member Functions
void | compute_integral (const cv::Mat &img, std::vector< cv::Mat_< float > > &ii_imgs)

## Protected Attributes
Mat | _ii_img
std::vector< FeatureHaar > | features
bool | isIntegral
Mat | sum
Protected Attributes inherited from cv::CvFeatureEvaluator
Mat | cls
CvFeatureParams * | featureParams
int | nneg
int | npos
int | numFeatures
Size | winSize

## Additional Inherited Members
Static Public Member Functions inherited from cv::CvFeatureEvaluator
static Ptr< CvFeatureEvaluator > | create (CvFeatureParams::FeatureType type)

## Member Function Documentation

## ◆ compute_integral()

void cv::CvHaarEvaluator::compute_integral | ( | const cv::Mat & | img,
|  | std::vector< cv::Mat_< float > > & | ii_imgs
| ) |  |
| inline protected

## ◆ generateFeatures() [1/2]

virtual void cv::CvHaarEvaluator::generateFeatures | ( |  | ) |
| virtual

Implements cv::CvFeatureEvaluator.

## ◆ generateFeatures() [2/2]

virtual void cv::CvHaarEvaluator::generateFeatures | ( | int | numFeatures | ) |
| virtual

Overload the original generateFeatures in order to limit the number of the features.

TODO new method

Parameters

  numFeatures | Number of the features

## ◆ getFeatures() [1/2]

const std::vector<CvHaarEvaluator::FeatureHaar>& cv::CvHaarEvaluator::getFeatures | ( |  | ) | const

## ◆ getFeatures() [2/2]

CvHaarEvaluator::FeatureHaar& cv::CvHaarEvaluator::getFeatures | ( | int | idx | ) |
| inline

## ◆ init()

virtual void cv::CvHaarEvaluator::init | ( | const CvFeatureParams * | _featureParams,
|  | int | _maxSampleCount,
|  | Size | _winSize
| ) |  |
| virtual

Reimplemented from cv::CvFeatureEvaluator.

## ◆ operator()()

virtual float cv::CvHaarEvaluator::operator() | ( | int | featureIdx,
|  | int | sampleIdx
| ) |  |
| virtual

Implements cv::CvFeatureEvaluator.

## ◆ setImage()

virtual void cv::CvHaarEvaluator::setImage | ( | const Mat & | img,
|  | uchar | clsLabel = `0`,
|  | int | idx = `1`
| ) |  |
| virtual

Reimplemented from cv::CvFeatureEvaluator.

## ◆ setWinSize() [1/2]

void cv::CvHaarEvaluator::setWinSize | ( | Size | patchSize | ) |

## ◆ setWinSize() [2/2]

Size cv::CvHaarEvaluator::setWinSize | ( |  | ) | const

## ◆ writeFeature()

void cv::CvHaarEvaluator::writeFeature | ( | FileStorage & | fs | ) | const

## ◆ writeFeatures()

virtual void cv::CvHaarEvaluator::writeFeatures | ( | FileStorage & | fs,
|  | const Mat & | featureMap
| ) |  | const
| virtual

Implements cv::CvFeatureEvaluator.

## Member Data Documentation

## ◆ _ii_img

Mat cv::CvHaarEvaluator::_ii_img
| protected

## ◆ features

std::vector<FeatureHaar> cv::CvHaarEvaluator::features
| protected

## ◆ isIntegral

bool cv::CvHaarEvaluator::isIntegral
| protected

## ◆ sum

Mat cv::CvHaarEvaluator::sum
| protected

The documentation for this class was generated from the following file:

- opencv2/tracking/feature.hpp